<?xml version="1.0" encoding="utf-8"?>
<form
	addrulepath="/administrator/components/com_componentbuilder/models/rules"
	addfieldpath="/administrator/components/com_componentbuilder/models/fields"
>
	<fieldset name="details">
		<!-- Default Fields. -->
		<!-- Id Field. Type: Text (joomla) -->
		<field
			name="id"
			type="text" class="readonly" label="JGLOBAL_FIELD_ID_LABEL"
			description ="JGLOBAL_FIELD_ID_DESC" size="10" default="0"
			readonly="true"
		/>
		<!-- Date Created Field. Type: Calendar (joomla) -->
		<field
			name="created"
			type="calendar"
			label="COM_COMPONENTBUILDER_COMPONENT_CREATED_DATE_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_CREATED_DATE_DESC"
			size="22"

			format="%Y-%m-%d %H:%M:%S"
			filter="user_utc"
		/>
		<!-- User Created Field. Type: User (joomla) -->
		<field
			name="created_by"
			type="user"
			label="COM_COMPONENTBUILDER_COMPONENT_CREATED_BY_LABEL"

			description="COM_COMPONENTBUILDER_COMPONENT_CREATED_BY_DESC"
		/>
		<!-- Published Field. Type: List (joomla) -->
		<field name="published" type="list" label="JSTATUS"
			description="JFIELD_PUBLISHED_DESC" class="chzn-color-state"

			filter="intval" size="1" default="1" >
			<option value="1">
				JPUBLISHED</option>
			<option value="0">
				JUNPUBLISHED</option>
			<option value="2">
				JARCHIVED</option>
			<option value="-2">
				JTRASHED</option>
		</field>
		<!-- Date Modified Field. Type: Calendar (joomla) -->
		<field name="modified" type="calendar" class="readonly"
			label="COM_COMPONENTBUILDER_COMPONENT_MODIFIED_DATE_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_MODIFIED_DATE_DESC"
			size="22" readonly="true" format="%Y-%m-%d %H:%M:%S" filter="user_utc" />
		<!-- User Modified Field. Type: User (joomla) -->
		<field name="modified_by" type="user"
			label="COM_COMPONENTBUILDER_COMPONENT_MODIFIED_BY_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_MODIFIED_BY_DESC"
			class="readonly"
			readonly="true"
			filter="unset"
		/>
		<!-- Access Field. Type: Accesslevel (joomla) -->
		<field name="access"
			type="accesslevel"
			label="JFIELD_ACCESS_LABEL"
			description="JFIELD_ACCESS_DESC"
			default="1"

			required="false"
		/>
		<!-- Ordering Field. Type: Numbers (joomla) -->
		<field
			name="ordering"
			type="number"
			class="inputbox validate-ordering"
			label="COM_COMPONENTBUILDER_COMPONENT_ORDERING_LABEL"
			description=""
			default="0"
			size="6"

			required="false"
		/>
		<!-- Version Field. Type: Text (joomla) -->
		<field
			name="version"
			type="text"
			class="readonly"
			label="COM_COMPONENTBUILDER_COMPONENT_VERSION_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_VERSION_DESC"
			size="6"
			readonly="true"
			filter="unset"
		/>
		<!-- Dynamic Fields. -->
		<!-- System_name Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="system_name"
			label="COM_COMPONENTBUILDER_COMPONENT_SYSTEM_NAME_LABEL"
			size="10"
			maxlength="50"
			description="COM_COMPONENTBUILDER_COMPONENT_SYSTEM_NAME_DESCRIPTION"
			class="text_area"
			filter="STRING"
			message="Error! Please add some text here."
			hint="COM_COMPONENTBUILDER_COMPONENT_SYSTEM_NAME_HINT"
		/>
		<!-- Name_code Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="name_code"
			label="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_LABEL"
			size="40"
			maxlength="50"
			description="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_DESCRIPTION"
			class="text_area"
			required="true"
			filter="CMD"
			message="Error! Please add name in code here."
			hint="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_HINT"
		/>
		<!-- Component_version Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="component_version"
			label="COM_COMPONENTBUILDER_COMPONENT_COMPONENT_VERSION_LABEL"
			size="40"
			maxlength="50"
			default="1.0.0"
			description="COM_COMPONENTBUILDER_COMPONENT_COMPONENT_VERSION_DESCRIPTION"
			class="text_area"
			required="true"
			filter="CMD"
			message="Error! Please add version here."
			hint="COM_COMPONENTBUILDER_COMPONENT_COMPONENT_VERSION_HINT"
		/>
		<!-- Short_description Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="short_description"
			label="COM_COMPONENTBUILDER_COMPONENT_SHORT_DESCRIPTION_LABEL"
			size="40"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_SHORT_DESCRIPTION_DESCRIPTION"
			class="text_area"
			required="true"
			filter="HTML"
			message="Error! Please add some short description here."
			hint="COM_COMPONENTBUILDER_COMPONENT_SHORT_DESCRIPTION_HINT"
		/>
		<!-- Companyname Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="companyname"
			label="COM_COMPONENTBUILDER_COMPONENT_COMPANYNAME_LABEL"
			size="40"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_COMPANYNAME_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="STRING"
			message="Error! Please add company name here."
			hint="COM_COMPONENTBUILDER_COMPONENT_COMPANYNAME_HINT"
		/>
		<!-- Author Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="author"
			label="COM_COMPONENTBUILDER_COMPONENT_AUTHOR_LABEL"
			size="10"
			maxlength="120"
			description="COM_COMPONENTBUILDER_COMPONENT_AUTHOR_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="HTML"
			message="Error! Please add author name here."
			hint="COM_COMPONENTBUILDER_COMPONENT_AUTHOR_HINT"
		/>
		<!-- Note_add_files Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_add_files" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_FILES_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_FILES_DESCRIPTION" heading="h4" class="alert alert-info note_add_files" close="false" />
		<!-- Php_helper_site Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_helper_site"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_SITE_LABEL"
			rows="80"
			cols="15"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_SITE_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_SITE_HINT"
			required="true"
		/>
		<!-- Version_update Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="version_update"
			label="Version Updates"
			description="COM_COMPONENTBUILDER_COMPONENT_VERSION_UPDATE_DESCRIPTION"
			id="aid"
			select="COM_COMPONENTBUILDER_COMPONENT_VERSION_UPDATE_SELECT"
			icon="list"
			maximum="300">
			<fields name="version_update_fields" label="">
				<fieldset hidden="true" name="version_update_modal" repeat="true">
					<!-- Version Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="version"
						label="COM_COMPONENTBUILDER_COMPONENT_VERSION_LABEL"
						size="10"
						maxlength="50"
						description="COM_COMPONENTBUILDER_COMPONENT_VERSION_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add some text here."
						hint="COM_COMPONENTBUILDER_COMPONENT_VERSION_HINT"
					/>
					<!-- Mysql Field. Type: Textarea. (joomla) -->
					<field
						type="textarea"
						name="mysql"
						label="COM_COMPONENTBUILDER_COMPONENT_MYSQL_LABEL"
						rows="30"
						cols="15"
						description="COM_COMPONENTBUILDER_COMPONENT_MYSQL_DESCRIPTION"
						class="text_area span6"
						filter="raw"
						hint="COM_COMPONENTBUILDER_COMPONENT_MYSQL_HINT"
						required="false"
					/>
					<!-- Url Field. Type: Url. (joomla) -->
					<field
						type="url"
						name="url"
						label="COM_COMPONENTBUILDER_COMPONENT_URL_LABEL"
						size="60"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_URL_DESCRIPTION"
						class="text_area"
						required="false"
						filter="raw"
						validated="url"
						message="Error! Please add url here."
						hint="COM_COMPONENTBUILDER_COMPONENT_URL_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Add_css Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_css"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_CSS_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Debug_linenr Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="debug_linenr"
			label="COM_COMPONENTBUILDER_COMPONENT_DEBUG_LINENR_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_DEBUG_LINENR_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Note_readme Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_readme" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_README_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_README_DESCRIPTION" heading="h4" class="note_readme" />
		<!-- Update_server Field. Type: Url. (joomla) -->
		<field
			type="url"
			name="update_server"
			label="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_LABEL"
			size="60"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_DESCRIPTION"
			class="text_area span12"
			filter="url"
			validated="url"
			message="Error! Please add url here."
			hint="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_HINT"
		/>
		<!-- Addfolders Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addfolders"
			label="Folder"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDFOLDERS_DESCRIPTION"
			id="addfolders"
			class="addfolder"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDFOLDERS_SELECT"
			icon="list"
			maximum="500">
			<fields name="addfolders_fields" label="">
				<fieldset hidden="true" name="addfolders_modal" repeat="true">
					<!-- Folder Field. Type: Customfolderlist. (custom) -->
					<field
						type="customfolderlist"
						name="folder"
						label="COM_COMPONENTBUILDER_COMPONENT_FOLDER_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_FOLDER_DESCRIPTION"
						class="list_class"
						multiple="false"
						default="0"
						required="false"
						button="false"
					/>
					<!-- Path Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="path"
						label="COM_COMPONENTBUILDER_COMPONENT_PATH_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_PATH_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="PATH"
						message="Error! Please add target path."
						hint="COM_COMPONENTBUILDER_COMPONENT_PATH_HINT"
					/>
					<!-- Rename Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="rename"
						label="COM_COMPONENTBUILDER_COMPONENT_RENAME_LABEL"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
				</fieldset>
			</fields>
		</field>
		<!-- Description Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="description"
			label="COM_COMPONENTBUILDER_COMPONENT_DESCRIPTION_LABEL"
			rows="11"
			cols="10"
			description="COM_COMPONENTBUILDER_COMPONENT_DESCRIPTION_DESCRIPTION"
			class="text_area span12"
			filter="HTML"
			hint="COM_COMPONENTBUILDER_COMPONENT_DESCRIPTION_HINT"
		/>
		<!-- Php_helper_admin Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_helper_admin"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_ADMIN_LABEL"
			rows="80"
			cols="15"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_ADMIN_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_HELPER_ADMIN_HINT"
			required="true"
		/>
		<!-- Bom Field. Type: Filelist. (joomla) -->
		<field
			type="filelist"
			name="bom"
			label="COM_COMPONENTBUILDER_COMPONENT_BOM_LABEL"
			directory="administrator/components/com_componentbuilder/compiler"
			default="default.txt"
			description="COM_COMPONENTBUILDER_COMPONENT_BOM_DESCRIPTION"
			hide_default="true"
		/>
		<!-- Update_server_ftp Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="update_server_ftp"
			label="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_FTP_LABEL"
			size="150"
			maxlength="150"
			default="host=HOSTNAME&amp;port=PORT_INT&amp;options[type]=FTP_BINARY&amp;options[timeout]=15&amp;username=user@name.com&amp;password=password"
			description="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_FTP_DESCRIPTION"
			class="text_area span12"
			filter="STRING"
			message="Error! Please add some text here."
			hint="COM_COMPONENTBUILDER_COMPONENT_UPDATE_SERVER_FTP_HINT"
		/>
		<!-- Image Field. Type: Media. (joomla) -->
		<field
			type="media"
			name="image"
			label="COM_COMPONENTBUILDER_COMPONENT_IMAGE_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_IMAGE_DESCRIPTION"
			directory=""
		/>
		<!-- Name Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="name"
			label="COM_COMPONENTBUILDER_COMPONENT_NAME_LABEL"
			size="40"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_NAME_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="STRING"
			message="Error! Please add component name here."
			hint="COM_COMPONENTBUILDER_COMPONENT_NAME_HINT"
		/>
		<!-- Add_update_server Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_update_server"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_UPDATE_SERVER_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Spacer_hr_a Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr_a" hr="true" class="spacer_hr_a" />
		<!-- Sql Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="sql"
			label="COM_COMPONENTBUILDER_COMPONENT_SQL_LABEL"
			rows="30"
			cols="15"
			description="COM_COMPONENTBUILDER_COMPONENT_SQL_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_SQL_HINT"
			required="true"
		/>
		<!-- Adduikit Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="adduikit"
			label="COM_COMPONENTBUILDER_COMPONENT_ADDUIKIT_LABEL"
			class="btn-group btn-group-yesno"
			default="1"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Add_php_preflight_install Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_preflight_install"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_PREFLIGHT_INSTALL_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Add_email_helper Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_email_helper"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_EMAIL_HELPER_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_ADD_EMAIL_HELPER_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Add_php_postflight_install Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_postflight_install"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_POSTFLIGHT_INSTALL_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Php_admin_event Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_admin_event"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_ADMIN_EVENT_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_ADMIN_EVENT_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_ADMIN_EVENT_HINT"
			required="true"
		/>
		<!-- Add_php_method_uninstall Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_method_uninstall"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_METHOD_UNINSTALL_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Php_site_event Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_site_event"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_SITE_EVENT_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_SITE_EVENT_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_SITE_EVENT_HINT"
			required="true"
		/>
		<!-- Email Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="email"
			label="COM_COMPONENTBUILDER_COMPONENT_EMAIL_LABEL"
			size="40"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_EMAIL_DESCRIPTION"
			class="text_area"
			required="true"
			filter="STRING"
			validate="email"
			message="Error! Please author email address here."
			hint="COM_COMPONENTBUILDER_COMPONENT_EMAIL_HINT"
		/>
		<!-- Php_dashboard_methods Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_dashboard_methods"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_DASHBOARD_METHODS_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_DASHBOARD_METHODS_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_DASHBOARD_METHODS_HINT"
			required="true"
		/>
		<!-- Website Field. Type: Url. (joomla) -->
		<field
			type="url"
			name="website"
			label="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_LABEL"
			size="60"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_DESCRIPTION"
			class="text_area"
			required="true"
			filter="url"
			validated="url"
			message="Error! Please add website here."
			hint="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_HINT"
		/>
		<!-- Add_php_preflight_update Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_preflight_update"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_PREFLIGHT_UPDATE_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Copyright Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="copyright"
			label="COM_COMPONENTBUILDER_COMPONENT_COPYRIGHT_LABEL"
			rows="7"
			cols="10"
			default="Copyright (C) 2015. All Rights Reserved"
			description="COM_COMPONENTBUILDER_COMPONENT_COPYRIGHT_DESCRIPTION"
			class="text_area span12"
			filter="HTML"
			hint="COM_COMPONENTBUILDER_COMPONENT_COPYRIGHT_HINT"
			required="true"
		/>
		<!-- Add_php_postflight_update Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_postflight_update"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_POSTFLIGHT_UPDATE_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Add_license Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_license"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_LICENSE_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_ADD_LICENSE_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Addreadme Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="addreadme"
			label="COM_COMPONENTBUILDER_COMPONENT_ADDREADME_LABEL"
			class="btn-group btn-group-yesno"
			default="0">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- License_type Field. Type: List. (joomla) -->
		<field
			type="list"
			name="license_type"
			label="COM_COMPONENTBUILDER_COMPONENT_LICENSE_TYPE_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_LICENSE_TYPE_DESCRIPTION"
			class="list_class"
			multiple="false"
			filter="int"
			required="true"
			default="1">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_ADVANCED_ENCRYPTION_ONLY_TO_LOCK_DATA</option>
			<option value="2">
				COM_COMPONENTBUILDER_COMPONENT_UPDATES_USED_IN_JOOMLA_UPDATER</option>
			<option value="3">
				COM_COMPONENTBUILDER_COMPONENT_LOCK_DOWN_USE_USED_TO_VERIFY_OWNERSHIP</option>
			<option value="4">
				COM_COMPONENTBUILDER_COMPONENT_CUSTOM_USED_IN_CUSTOM_CODE</option>
		</field>
		<!-- Add_sales_server Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_sales_server"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_SALES_SERVER_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Note_whmcs_lisencing_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_whmcs_lisencing_note" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_WHMCS_LISENCING_NOTE_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_WHMCS_LISENCING_NOTE_DESCRIPTION" heading="h4" class="alert alert-success note_whmcs_lisencing_note" />
		<!-- Spacer_hr_b Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr_b" hr="true" class="spacer_hr_b" />
		<!-- Whmcs_key Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="whmcs_key"
			label="COM_COMPONENTBUILDER_COMPONENT_WHMCS_KEY_LABEL"
			size="60"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_WHMCS_KEY_DESCRIPTION"
			class="text_area"
			filter="STRING"
			message="Error! Please add some secret key here."
			hint="COM_COMPONENTBUILDER_COMPONENT_WHMCS_KEY_HINT"
		/>
		<!-- Addfiles Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addfiles"
			label="Files"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDFILES_DESCRIPTION"
			id="addfiles"
			class="addfile"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDFILES_SELECT"
			icon="list"
			maximum="500">
			<fields name="addfiles_fields" label="">
				<fieldset hidden="true" name="addfiles_modal" repeat="true">
					<!-- File Field. Type: Customfilelist. (custom) -->
					<field
						type="customfilelist"
						name="file"
						label="COM_COMPONENTBUILDER_COMPONENT_FILE_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_FILE_DESCRIPTION"
						class="list_class"
						multiple="false"
						default="0"
						required="false"
						button="false"
					/>
					<!-- Path Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="path"
						label="COM_COMPONENTBUILDER_COMPONENT_PATH_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_PATH_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="PATH"
						message="Error! Please add target path."
						hint="COM_COMPONENTBUILDER_COMPONENT_PATH_HINT"
					/>
					<!-- Notnew Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="notnew"
						label="COM_COMPONENTBUILDER_COMPONENT_NOTNEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_NOTNEW_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
				</fieldset>
			</fields>
		</field>
		<!-- Whmcs_url Field. Type: Url. (joomla) -->
		<field
			type="url"
			name="whmcs_url"
			label="COM_COMPONENTBUILDER_COMPONENT_WHMCS_URL_LABEL"
			size="60"
			maxlength="150"
			description="COM_COMPONENTBUILDER_COMPONENT_WHMCS_URL_DESCRIPTION"
			class="text_area"
			filter="url"
			validated="url"
			message="Error! Please add website here."
			hint="COM_COMPONENTBUILDER_COMPONENT_WHMCS_URL_HINT"
		/>
		<!-- Note_add_folders Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_add_folders" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_FOLDERS_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_FOLDERS_DESCRIPTION" heading="h4" class="alert alert-info note_add_folders" close="false" />
		<!-- License Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="license"
			label="COM_COMPONENTBUILDER_COMPONENT_LICENSE_LABEL"
			rows="7"
			cols="10"
			default="GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html"
			description="COM_COMPONENTBUILDER_COMPONENT_LICENSE_DESCRIPTION"
			class="text_area span12"
			filter="HTML"
			hint="COM_COMPONENTBUILDER_COMPONENT_LICENSE_HINT"
			required="true"
		/>
		<!-- Creatuserhelper Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="creatuserhelper"
			label="COM_COMPONENTBUILDER_COMPONENT_CREATUSERHELPER_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Note_on_views Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_on_views" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ON_VIEWS_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ON_VIEWS_DESCRIPTION" heading="h4" class="alert alert-info note_on_views" close="false" />
		<!-- Addfootable Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="addfootable"
			label="COM_COMPONENTBUILDER_COMPONENT_ADDFOOTABLE_LABEL"
			class="btn-group btn-group-yesno"
			default="3"
			required="true">
			<!-- Option Set. -->
			<option value="3">
				COM_COMPONENTBUILDER_COMPONENT_VTHREE</option>
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_VTWO</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Addadmin_views Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addadmin_views"
			label="Admin Views"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDADMIN_VIEWS_DESCRIPTION"
			id="addadmin_views"
			class="addadmin_view"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDADMIN_VIEWS_SELECT"
			icon="list"
			maximum="50">
			<fields name="addadmin_views_fields" label="">
				<fieldset hidden="true" name="addadmin_views_modal" repeat="true">
					<!-- Adminview Field. Type: Adminviews. (custom) -->
					<field
						type="adminviews"
						name="adminview"
						label="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEW_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
					<!-- Icomoon Field. Type: List. (joomla) -->
					<field
						type="list"
						name="icomoon"
						label="COM_COMPONENTBUILDER_COMPONENT_ICOMOON_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ICOMOON_DESCRIPTION"
						class="list_class fieldMedium"
						multiple="false"
						required="false">
						<!-- Option Set. -->
						<option value="joomla">
							COM_COMPONENTBUILDER_COMPONENT_JOOMLA</option>
						<option value="address">
							COM_COMPONENTBUILDER_COMPONENT_ADDRESS</option>
						<option value="pencil">
							COM_COMPONENTBUILDER_COMPONENT_PENCIL</option>
						<option value="archive">
							COM_COMPONENTBUILDER_COMPONENT_ARCHIVE</option>
						<option value="arrow-down-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_TWO</option>
						<option value="arrow-down-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_THREE</option>
						<option value="arrow-down-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_FOUR</option>
						<option value="arrow-first">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_FIRST</option>
						<option value="arrow-last">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LAST</option>
						<option value="arrow-left-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_TWO</option>
						<option value="arrow-left-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_THREE</option>
						<option value="arrow-left-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_FOUR</option>
						<option value="arrow-right-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_TWO</option>
						<option value="arrow-right-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_THREE</option>
						<option value="arrow-right-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_FOUR</option>
						<option value="arrow-up-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_TWO</option>
						<option value="arrow-up-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_THREE</option>
						<option value="arrow-up-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_FOUR</option>
						<option value="attachment">
							COM_COMPONENTBUILDER_COMPONENT_ATTACHMENT</option>
						<option value="reply">
							COM_COMPONENTBUILDER_COMPONENT_REPLY</option>
						<option value="backward-circle">
							COM_COMPONENTBUILDER_COMPONENT_BACKWARD_CIRCLE</option>
						<option value="ban-circle">
							COM_COMPONENTBUILDER_COMPONENT_BAN_CIRCLE</option>
						<option value="bars">
							COM_COMPONENTBUILDER_COMPONENT_BARS</option>
						<option value="basket">
							COM_COMPONENTBUILDER_COMPONENT_BASKET</option>
						<option value="book">
							COM_COMPONENTBUILDER_COMPONENT_BOOK</option>
						<option value="bookmark">
							COM_COMPONENTBUILDER_COMPONENT_BOOKMARK</option>
						<option value="bookmark-2">
							COM_COMPONENTBUILDER_COMPONENT_BOOKMARK_TWO</option>
						<option value="box-add">
							COM_COMPONENTBUILDER_COMPONENT_BOX_ADD</option>
						<option value="box-remove">
							COM_COMPONENTBUILDER_COMPONENT_BOX_REMOVE</option>
						<option value="briefcase">
							COM_COMPONENTBUILDER_COMPONENT_BRIEFCASE</option>
						<option value="wifi">
							COM_COMPONENTBUILDER_COMPONENT_WIFI</option>
						<option value="brush">
							COM_COMPONENTBUILDER_COMPONENT_BRUSH</option>
						<option value="calendar">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR</option>
						<option value="calendar-2">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR_TWO</option>
						<option value="calendar-3">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR_THREE</option>
						<option value="camera">
							COM_COMPONENTBUILDER_COMPONENT_CAMERA</option>
						<option value="camera-2 / video">
							COM_COMPONENTBUILDER_COMPONENT_CAMERA_TWO_VIDEO</option>
						<option value="cancel-circle">
							COM_COMPONENTBUILDER_COMPONENT_CANCEL_CIRCLE</option>
						<option value="cart">
							COM_COMPONENTBUILDER_COMPONENT_CART</option>
						<option value="chart">
							COM_COMPONENTBUILDER_COMPONENT_CHART</option>
						<option value="checkbox-partial">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX_PARTIAL</option>
						<option value="checkbox-unchecked">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX_UNCHECKED</option>
						<option value="lock">
							COM_COMPONENTBUILDER_COMPONENT_LOCK</option>
						<option value="checkbox">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX</option>
						<option value="checkmark-2">
							COM_COMPONENTBUILDER_COMPONENT_CHECKMARK_TWO</option>
						<option value="checkmark-circle">
							COM_COMPONENTBUILDER_COMPONENT_CHECKMARK_CIRCLE</option>
						<option value="arrow-down">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN</option>
						<option value="arrow-left">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT</option>
						<option value="arrow-right">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT</option>
						<option value="arrow-up">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP</option>
						<option value="circle">
							COM_COMPONENTBUILDER_COMPONENT_CIRCLE</option>
						<option value="clock">
							COM_COMPONENTBUILDER_COMPONENT_CLOCK</option>
						<option value="cogs">
							COM_COMPONENTBUILDER_COMPONENT_COGS</option>
						<option value="comment">
							COM_COMPONENTBUILDER_COMPONENT_COMMENT</option>
						<option value="comments-2">
							COM_COMPONENTBUILDER_COMPONENT_COMMENTS_TWO</option>
						<option value="compass">
							COM_COMPONENTBUILDER_COMPONENT_COMPASS</option>
						<option value="contract">
							COM_COMPONENTBUILDER_COMPONENT_CONTRACT</option>
						<option value="contract-2">
							COM_COMPONENTBUILDER_COMPONENT_CONTRACT_TWO</option>
						<option value="credit">
							COM_COMPONENTBUILDER_COMPONENT_CREDIT</option>
						<option value="credit-2">
							COM_COMPONENTBUILDER_COMPONENT_CREDIT_TWO</option>
						<option value="cube">
							COM_COMPONENTBUILDER_COMPONENT_CUBE</option>
						<option value="dashboard">
							COM_COMPONENTBUILDER_COMPONENT_DASHBOARD</option>
						<option value="database">
							COM_COMPONENTBUILDER_COMPONENT_DATABASE</option>
						<option value="delete">
							COM_COMPONENTBUILDER_COMPONENT_DELETE</option>
						<option value="download">
							COM_COMPONENTBUILDER_COMPONENT_DOWNLOAD</option>
						<option value="enter">
							COM_COMPONENTBUILDER_COMPONENT_ENTER</option>
						<option value="envelope">
							COM_COMPONENTBUILDER_COMPONENT_ENVELOPE</option>
						<option value="envelope-opened">
							COM_COMPONENTBUILDER_COMPONENT_ENVELOPE_OPENED</option>
						<option value="equalizer">
							COM_COMPONENTBUILDER_COMPONENT_EQUALIZER</option>
						<option value="exit">
							COM_COMPONENTBUILDER_COMPONENT_EXIT</option>
						<option value="expand">
							COM_COMPONENTBUILDER_COMPONENT_EXPAND</option>
						<option value="expand-2">
							COM_COMPONENTBUILDER_COMPONENT_EXPAND_TWO</option>
						<option value="expired">
							COM_COMPONENTBUILDER_COMPONENT_EXPIRED</option>
						<option value="eye-close">
							COM_COMPONENTBUILDER_COMPONENT_EYE_CLOSE</option>
						<option value="eye-open">
							COM_COMPONENTBUILDER_COMPONENT_EYE_OPEN</option>
						<option value="featured">
							COM_COMPONENTBUILDER_COMPONENT_FEATURED</option>
						<option value="feed">
							COM_COMPONENTBUILDER_COMPONENT_FEED</option>
						<option value="file">
							COM_COMPONENTBUILDER_COMPONENT_FILE</option>
						<option value="file-2">
							COM_COMPONENTBUILDER_COMPONENT_FILE_TWO</option>
						<option value="file-add">
							COM_COMPONENTBUILDER_COMPONENT_FILE_ADD</option>
						<option value="file-check">
							COM_COMPONENTBUILDER_COMPONENT_FILE_CHECK</option>
						<option value="file-minus">
							COM_COMPONENTBUILDER_COMPONENT_FILE_MINUS</option>
						<option value="file-remove">
							COM_COMPONENTBUILDER_COMPONENT_FILE_REMOVE</option>
						<option value="filter">
							COM_COMPONENTBUILDER_COMPONENT_FILTER</option>
						<option value="first">
							COM_COMPONENTBUILDER_COMPONENT_FIRST</option>
						<option value="flag">
							COM_COMPONENTBUILDER_COMPONENT_FLAG</option>
						<option value="flag-3">
							COM_COMPONENTBUILDER_COMPONENT_FLAG_THREE</option>
						<option value="folder-3">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_THREE</option>
						<option value="folder-close">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_CLOSE</option>
						<option value="folder-minus">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_MINUS</option>
						<option value="folder-open">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_OPEN</option>
						<option value="folder-plus">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_PLUS</option>
						<option value="folder-plus-2">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_PLUS_TWO</option>
						<option value="folder-remove">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_REMOVE</option>
						<option value="forward-2">
							COM_COMPONENTBUILDER_COMPONENT_FORWARD_TWO</option>
						<option value="forward-circle">
							COM_COMPONENTBUILDER_COMPONENT_FORWARD_CIRCLE</option>
						<option value="grid">
							COM_COMPONENTBUILDER_COMPONENT_GRID</option>
						<option value="grid-2">
							COM_COMPONENTBUILDER_COMPONENT_GRID_TWO</option>
						<option value="health">
							COM_COMPONENTBUILDER_COMPONENT_HEALTH</option>
						<option value="heart">
							COM_COMPONENTBUILDER_COMPONENT_HEART</option>
						<option value="heart-2">
							COM_COMPONENTBUILDER_COMPONENT_HEART_TWO</option>
						<option value="home">
							COM_COMPONENTBUILDER_COMPONENT_HOME</option>
						<option value="home-2">
							COM_COMPONENTBUILDER_COMPONENT_HOME_TWO</option>
						<option value="info">
							COM_COMPONENTBUILDER_COMPONENT_INFO</option>
						<option value="info-circle">
							COM_COMPONENTBUILDER_COMPONENT_INFO_CIRCLE</option>
						<option value="key">
							COM_COMPONENTBUILDER_COMPONENT_KEY</option>
						<option value="lamp">
							COM_COMPONENTBUILDER_COMPONENT_LAMP</option>
						<option value="last">
							COM_COMPONENTBUILDER_COMPONENT_LAST</option>
						<option value="flash">
							COM_COMPONENTBUILDER_COMPONENT_FLASH</option>
						<option value="link">
							COM_COMPONENTBUILDER_COMPONENT_LINK</option>
						<option value="list">
							COM_COMPONENTBUILDER_COMPONENT_LIST</option>
						<option value="list-2">
							COM_COMPONENTBUILDER_COMPONENT_LIST_TWO</option>
						<option value="location">
							COM_COMPONENTBUILDER_COMPONENT_LOCATION</option>
						<option value="loop">
							COM_COMPONENTBUILDER_COMPONENT_LOOP</option>
						<option value="menu">
							COM_COMPONENTBUILDER_COMPONENT_MENU</option>
						<option value="menu-2">
							COM_COMPONENTBUILDER_COMPONENT_MENU_TWO</option>
						<option value="menu-3">
							COM_COMPONENTBUILDER_COMPONENT_MENU_THREE</option>
						<option value="minus">
							COM_COMPONENTBUILDER_COMPONENT_MINUS</option>
						<option value="minus-sign">
							COM_COMPONENTBUILDER_COMPONENT_MINUS_SIGN</option>
						<option value="mobile">
							COM_COMPONENTBUILDER_COMPONENT_MOBILE</option>
						<option value="move">
							COM_COMPONENTBUILDER_COMPONENT_MOVE</option>
						<option value="music">
							COM_COMPONENTBUILDER_COMPONENT_MUSIC</option>
						<option value="plus">
							COM_COMPONENTBUILDER_COMPONENT_PLUS</option>
						<option value="next">
							COM_COMPONENTBUILDER_COMPONENT_NEXT</option>
						<option value="notification">
							COM_COMPONENTBUILDER_COMPONENT_NOTIFICATION</option>
						<option value="notification-circle">
							COM_COMPONENTBUILDER_COMPONENT_NOTIFICATION_CIRCLE</option>
						<option value="cog">
							COM_COMPONENTBUILDER_COMPONENT_COG</option>
						<option value="new-tab">
							COM_COMPONENTBUILDER_COMPONENT_NEW_TAB</option>
						<option value="new-tab-2">
							COM_COMPONENTBUILDER_COMPONENT_NEW_TAB_TWO</option>
						<option value="palette">
							COM_COMPONENTBUILDER_COMPONENT_PALETTE</option>
						<option value="paragraph-center">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_CENTER</option>
						<option value="paragraph-justify">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_JUSTIFY</option>
						<option value="paragraph-left">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_LEFT</option>
						<option value="paragraph-right">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_RIGHT</option>
						<option value="pause">
							COM_COMPONENTBUILDER_COMPONENT_PAUSE</option>
						<option value="pause-circle">
							COM_COMPONENTBUILDER_COMPONENT_PAUSE_CIRCLE</option>
						<option value="pencil-2">
							COM_COMPONENTBUILDER_COMPONENT_PENCIL_TWO</option>
						<option value="warning">
							COM_COMPONENTBUILDER_COMPONENT_WARNING</option>
						<option value="phone">
							COM_COMPONENTBUILDER_COMPONENT_PHONE</option>
						<option value="phone-2">
							COM_COMPONENTBUILDER_COMPONENT_PHONE_TWO</option>
						<option value="image">
							COM_COMPONENTBUILDER_COMPONENT_IMAGE</option>
						<option value="images">
							COM_COMPONENTBUILDER_COMPONENT_IMAGES</option>
						<option value="pie">
							COM_COMPONENTBUILDER_COMPONENT_PIE</option>
						<option value="pin">
							COM_COMPONENTBUILDER_COMPONENT_PIN</option>
						<option value="play">
							COM_COMPONENTBUILDER_COMPONENT_PLAY</option>
						<option value="youtube">
							COM_COMPONENTBUILDER_COMPONENT_YOUTUBE</option>
						<option value="play-circle">
							COM_COMPONENTBUILDER_COMPONENT_PLAY_CIRCLE</option>
						<option value="plus-circle">
							COM_COMPONENTBUILDER_COMPONENT_PLUS_CIRCLE</option>
						<option value="power-cord">
							COM_COMPONENTBUILDER_COMPONENT_POWER_CORD</option>
						<option value="previous">
							COM_COMPONENTBUILDER_COMPONENT_PREVIOUS</option>
						<option value="print">
							COM_COMPONENTBUILDER_COMPONENT_PRINT</option>
						<option value="publish">
							COM_COMPONENTBUILDER_COMPONENT_PUBLISH</option>
						<option value="purge">
							COM_COMPONENTBUILDER_COMPONENT_PURGE</option>
						<option value="puzzle">
							COM_COMPONENTBUILDER_COMPONENT_PUZZLE</option>
						<option value="question">
							COM_COMPONENTBUILDER_COMPONENT_QUESTION</option>
						<option value="question-2">
							COM_COMPONENTBUILDER_COMPONENT_QUESTION_TWO</option>
						<option value="quotes-left">
							COM_COMPONENTBUILDER_COMPONENT_QUOTES_LEFT</option>
						<option value="quotes-right">
							COM_COMPONENTBUILDER_COMPONENT_QUOTES_RIGHT</option>
						<option value="bubble-quote">
							COM_COMPONENTBUILDER_COMPONENT_BUBBLE_QUOTE</option>
						<option value="generic">
							COM_COMPONENTBUILDER_COMPONENT_GENERIC</option>
						<option value="radio-unchecked">
							COM_COMPONENTBUILDER_COMPONENT_RADIO_UNCHECKED</option>
						<option value="save-copy">
							COM_COMPONENTBUILDER_COMPONENT_SAVE_COPY</option>
						<option value="save-new">
							COM_COMPONENTBUILDER_COMPONENT_SAVE_NEW</option>
						<option value="scissors">
							COM_COMPONENTBUILDER_COMPONENT_SCISSORS</option>
						<option value="screen">
							COM_COMPONENTBUILDER_COMPONENT_SCREEN</option>
						<option value="screwdriver">
							COM_COMPONENTBUILDER_COMPONENT_SCREWDRIVER</option>
						<option value="search">
							COM_COMPONENTBUILDER_COMPONENT_SEARCH</option>
						<option value="share">
							COM_COMPONENTBUILDER_COMPONENT_SHARE</option>
						<option value="share-alt">
							COM_COMPONENTBUILDER_COMPONENT_SHARE_ALT</option>
						<option value="shield">
							COM_COMPONENTBUILDER_COMPONENT_SHIELD</option>
						<option value="shuffle">
							COM_COMPONENTBUILDER_COMPONENT_SHUFFLE</option>
						<option value="signup">
							COM_COMPONENTBUILDER_COMPONENT_SIGNUP</option>
						<option value="smiley">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY</option>
						<option value="smiley-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_TWO</option>
						<option value="smiley-neutral">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_NEUTRAL</option>
						<option value="smiley-neutral-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_NEUTRAL_TWO</option>
						<option value="smiley-sad">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_SAD</option>
						<option value="smiley-sad-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_SAD_TWO</option>
						<option value="square">
							COM_COMPONENTBUILDER_COMPONENT_SQUARE</option>
						<option value="stack">
							COM_COMPONENTBUILDER_COMPONENT_STACK</option>
						<option value="star-2">
							COM_COMPONENTBUILDER_COMPONENT_STAR_TWO</option>
						<option value="stop">
							COM_COMPONENTBUILDER_COMPONENT_STOP</option>
						<option value="stop-circle">
							COM_COMPONENTBUILDER_COMPONENT_STOP_CIRCLE</option>
						<option value="support">
							COM_COMPONENTBUILDER_COMPONENT_SUPPORT</option>
						<option value="switch">
							COM_COMPONENTBUILDER_COMPONENT_SWITCH</option>
						<option value="tablet">
							COM_COMPONENTBUILDER_COMPONENT_TABLET</option>
						<option value="tag">
							COM_COMPONENTBUILDER_COMPONENT_TAG</option>
						<option value="tag-2">
							COM_COMPONENTBUILDER_COMPONENT_TAG_TWO</option>
						<option value="tags">
							COM_COMPONENTBUILDER_COMPONENT_TAGS</option>
						<option value="tags-2">
							COM_COMPONENTBUILDER_COMPONENT_TAGS_TWO</option>
						<option value="thumbs-down">
							COM_COMPONENTBUILDER_COMPONENT_THUMBS_DOWN</option>
						<option value="thumbs-up">
							COM_COMPONENTBUILDER_COMPONENT_THUMBS_UP</option>
						<option value="tree">
							COM_COMPONENTBUILDER_COMPONENT_TREE</option>
						<option value="tree-2">
							COM_COMPONENTBUILDER_COMPONENT_TREE_TWO</option>
						<option value="unarchive">
							COM_COMPONENTBUILDER_COMPONENT_UNARCHIVE</option>
						<option value="unblock">
							COM_COMPONENTBUILDER_COMPONENT_UNBLOCK</option>
						<option value="undo">
							COM_COMPONENTBUILDER_COMPONENT_UNDO</option>
						<option value="undo-2">
							COM_COMPONENTBUILDER_COMPONENT_UNDO_TWO</option>
						<option value="unfeatured">
							COM_COMPONENTBUILDER_COMPONENT_UNFEATURED</option>
						<option value="unlock">
							COM_COMPONENTBUILDER_COMPONENT_UNLOCK</option>
						<option value="unpublish">
							COM_COMPONENTBUILDER_COMPONENT_UNPUBLISH</option>
						<option value="upload">
							COM_COMPONENTBUILDER_COMPONENT_UPLOAD</option>
						<option value="user">
							COM_COMPONENTBUILDER_COMPONENT_USER</option>
						<option value="users">
							COM_COMPONENTBUILDER_COMPONENT_USERS</option>
						<option value="vcard">
							COM_COMPONENTBUILDER_COMPONENT_VCARD</option>
						<option value="wand">
							COM_COMPONENTBUILDER_COMPONENT_WAND</option>
						<option value="warning-circle">
							COM_COMPONENTBUILDER_COMPONENT_WARNING_CIRCLE</option>
						<option value="wrench">
							COM_COMPONENTBUILDER_COMPONENT_WRENCH</option>
						<option value="zoom-in">
							COM_COMPONENTBUILDER_COMPONENT_ZOOM_IN</option>
						<option value="zoom-out">
							COM_COMPONENTBUILDER_COMPONENT_ZOOM_OUT</option>
					</field>
					<!-- Mainmenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="mainmenu"
						label="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Dashboard_add Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="dashboard_add"
						label="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_ADD_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_ADD_DESCRIPTION"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Dashboard_list Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="dashboard_list"
						label="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Submenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="submenu"
						label="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Checkin Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="checkin"
						label="COM_COMPONENTBUILDER_COMPONENT_CHECKIN_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_CHECKIN_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- History Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="history"
						label="COM_COMPONENTBUILDER_COMPONENT_HISTORY_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_HISTORY_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Metadata Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="metadata"
						label="COM_COMPONENTBUILDER_COMPONENT_METADATA_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_METADATA_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Access Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="access"
						label="COM_COMPONENTBUILDER_COMPONENT_ACCESS_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ACCESS_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Port Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="port"
						label="COM_COMPONENTBUILDER_COMPONENT_PORT_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_PORT_DESCRIPTION"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Edit_create_site_view Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="edit_create_site_view"
						label="COM_COMPONENTBUILDER_COMPONENT_EDIT_CREATE_SITE_VIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_EDIT_CREATE_SITE_VIEW_DESCRIPTION"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Order Field. Type: Integer. (joomla) -->
					<field
						type="integer"
						name="order"
						label="COM_COMPONENTBUILDER_COMPONENT_ORDER_LABEL"
						default="0"
						description="COM_COMPONENTBUILDER_COMPONENT_ORDER_DESCRIPTION"
						class="fieldSmall"
						required="false"
						first="0"
						last="400"
						step="1"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Css Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="css"
			label="COM_COMPONENTBUILDER_COMPONENT_CSS_LABEL"
			rows="30"
			cols="15"
			description="COM_COMPONENTBUILDER_COMPONENT_CSS_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_CSS_HINT"
			required="true"
		/>
		<!-- Addcustom_admin_views Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addcustom_admin_views"
			label="Custom Admin Views"
			id="addcustom_admin_views"
			class="addcustom_admin_view"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDCUSTOM_ADMIN_VIEWS_SELECT"
			icon="list"
			maximum="50">
			<fields name="addcustom_admin_views_fields" label="">
				<fieldset hidden="true" name="addcustom_admin_views_modal" repeat="true">
					<!-- Customadminview Field. Type: Customadminviews. (custom) -->
					<field
						type="customadminviews"
						name="customadminview"
						label="COM_COMPONENTBUILDER_COMPONENT_CUSTOMADMINVIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_CUSTOMADMINVIEW_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
					<!-- Icomoon Field. Type: List. (joomla) -->
					<field
						type="list"
						name="icomoon"
						label="COM_COMPONENTBUILDER_COMPONENT_ICOMOON_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ICOMOON_DESCRIPTION"
						class="list_class fieldMedium"
						multiple="false"
						required="false">
						<!-- Option Set. -->
						<option value="joomla">
							COM_COMPONENTBUILDER_COMPONENT_JOOMLA</option>
						<option value="address">
							COM_COMPONENTBUILDER_COMPONENT_ADDRESS</option>
						<option value="pencil">
							COM_COMPONENTBUILDER_COMPONENT_PENCIL</option>
						<option value="archive">
							COM_COMPONENTBUILDER_COMPONENT_ARCHIVE</option>
						<option value="arrow-down-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_TWO</option>
						<option value="arrow-down-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_THREE</option>
						<option value="arrow-down-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN_FOUR</option>
						<option value="arrow-first">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_FIRST</option>
						<option value="arrow-last">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LAST</option>
						<option value="arrow-left-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_TWO</option>
						<option value="arrow-left-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_THREE</option>
						<option value="arrow-left-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT_FOUR</option>
						<option value="arrow-right-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_TWO</option>
						<option value="arrow-right-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_THREE</option>
						<option value="arrow-right-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT_FOUR</option>
						<option value="arrow-up-2">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_TWO</option>
						<option value="arrow-up-3">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_THREE</option>
						<option value="arrow-up-4">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP_FOUR</option>
						<option value="attachment">
							COM_COMPONENTBUILDER_COMPONENT_ATTACHMENT</option>
						<option value="reply">
							COM_COMPONENTBUILDER_COMPONENT_REPLY</option>
						<option value="backward-circle">
							COM_COMPONENTBUILDER_COMPONENT_BACKWARD_CIRCLE</option>
						<option value="ban-circle">
							COM_COMPONENTBUILDER_COMPONENT_BAN_CIRCLE</option>
						<option value="bars">
							COM_COMPONENTBUILDER_COMPONENT_BARS</option>
						<option value="basket">
							COM_COMPONENTBUILDER_COMPONENT_BASKET</option>
						<option value="book">
							COM_COMPONENTBUILDER_COMPONENT_BOOK</option>
						<option value="bookmark">
							COM_COMPONENTBUILDER_COMPONENT_BOOKMARK</option>
						<option value="bookmark-2">
							COM_COMPONENTBUILDER_COMPONENT_BOOKMARK_TWO</option>
						<option value="box-add">
							COM_COMPONENTBUILDER_COMPONENT_BOX_ADD</option>
						<option value="box-remove">
							COM_COMPONENTBUILDER_COMPONENT_BOX_REMOVE</option>
						<option value="briefcase">
							COM_COMPONENTBUILDER_COMPONENT_BRIEFCASE</option>
						<option value="wifi">
							COM_COMPONENTBUILDER_COMPONENT_WIFI</option>
						<option value="brush">
							COM_COMPONENTBUILDER_COMPONENT_BRUSH</option>
						<option value="calendar">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR</option>
						<option value="calendar-2">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR_TWO</option>
						<option value="calendar-3">
							COM_COMPONENTBUILDER_COMPONENT_CALENDAR_THREE</option>
						<option value="camera">
							COM_COMPONENTBUILDER_COMPONENT_CAMERA</option>
						<option value="camera-2 / video">
							COM_COMPONENTBUILDER_COMPONENT_CAMERA_TWO_VIDEO</option>
						<option value="cancel-circle">
							COM_COMPONENTBUILDER_COMPONENT_CANCEL_CIRCLE</option>
						<option value="cart">
							COM_COMPONENTBUILDER_COMPONENT_CART</option>
						<option value="chart">
							COM_COMPONENTBUILDER_COMPONENT_CHART</option>
						<option value="checkbox-partial">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX_PARTIAL</option>
						<option value="checkbox-unchecked">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX_UNCHECKED</option>
						<option value="lock">
							COM_COMPONENTBUILDER_COMPONENT_LOCK</option>
						<option value="checkbox">
							COM_COMPONENTBUILDER_COMPONENT_CHECKBOX</option>
						<option value="checkmark-2">
							COM_COMPONENTBUILDER_COMPONENT_CHECKMARK_TWO</option>
						<option value="checkmark-circle">
							COM_COMPONENTBUILDER_COMPONENT_CHECKMARK_CIRCLE</option>
						<option value="arrow-down">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_DOWN</option>
						<option value="arrow-left">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_LEFT</option>
						<option value="arrow-right">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_RIGHT</option>
						<option value="arrow-up">
							COM_COMPONENTBUILDER_COMPONENT_ARROW_UP</option>
						<option value="circle">
							COM_COMPONENTBUILDER_COMPONENT_CIRCLE</option>
						<option value="clock">
							COM_COMPONENTBUILDER_COMPONENT_CLOCK</option>
						<option value="cogs">
							COM_COMPONENTBUILDER_COMPONENT_COGS</option>
						<option value="comment">
							COM_COMPONENTBUILDER_COMPONENT_COMMENT</option>
						<option value="comments-2">
							COM_COMPONENTBUILDER_COMPONENT_COMMENTS_TWO</option>
						<option value="compass">
							COM_COMPONENTBUILDER_COMPONENT_COMPASS</option>
						<option value="contract">
							COM_COMPONENTBUILDER_COMPONENT_CONTRACT</option>
						<option value="contract-2">
							COM_COMPONENTBUILDER_COMPONENT_CONTRACT_TWO</option>
						<option value="credit">
							COM_COMPONENTBUILDER_COMPONENT_CREDIT</option>
						<option value="credit-2">
							COM_COMPONENTBUILDER_COMPONENT_CREDIT_TWO</option>
						<option value="cube">
							COM_COMPONENTBUILDER_COMPONENT_CUBE</option>
						<option value="dashboard">
							COM_COMPONENTBUILDER_COMPONENT_DASHBOARD</option>
						<option value="database">
							COM_COMPONENTBUILDER_COMPONENT_DATABASE</option>
						<option value="delete">
							COM_COMPONENTBUILDER_COMPONENT_DELETE</option>
						<option value="download">
							COM_COMPONENTBUILDER_COMPONENT_DOWNLOAD</option>
						<option value="enter">
							COM_COMPONENTBUILDER_COMPONENT_ENTER</option>
						<option value="envelope">
							COM_COMPONENTBUILDER_COMPONENT_ENVELOPE</option>
						<option value="envelope-opened">
							COM_COMPONENTBUILDER_COMPONENT_ENVELOPE_OPENED</option>
						<option value="equalizer">
							COM_COMPONENTBUILDER_COMPONENT_EQUALIZER</option>
						<option value="exit">
							COM_COMPONENTBUILDER_COMPONENT_EXIT</option>
						<option value="expand">
							COM_COMPONENTBUILDER_COMPONENT_EXPAND</option>
						<option value="expand-2">
							COM_COMPONENTBUILDER_COMPONENT_EXPAND_TWO</option>
						<option value="expired">
							COM_COMPONENTBUILDER_COMPONENT_EXPIRED</option>
						<option value="eye-close">
							COM_COMPONENTBUILDER_COMPONENT_EYE_CLOSE</option>
						<option value="eye-open">
							COM_COMPONENTBUILDER_COMPONENT_EYE_OPEN</option>
						<option value="featured">
							COM_COMPONENTBUILDER_COMPONENT_FEATURED</option>
						<option value="feed">
							COM_COMPONENTBUILDER_COMPONENT_FEED</option>
						<option value="file">
							COM_COMPONENTBUILDER_COMPONENT_FILE</option>
						<option value="file-2">
							COM_COMPONENTBUILDER_COMPONENT_FILE_TWO</option>
						<option value="file-add">
							COM_COMPONENTBUILDER_COMPONENT_FILE_ADD</option>
						<option value="file-check">
							COM_COMPONENTBUILDER_COMPONENT_FILE_CHECK</option>
						<option value="file-minus">
							COM_COMPONENTBUILDER_COMPONENT_FILE_MINUS</option>
						<option value="file-remove">
							COM_COMPONENTBUILDER_COMPONENT_FILE_REMOVE</option>
						<option value="filter">
							COM_COMPONENTBUILDER_COMPONENT_FILTER</option>
						<option value="first">
							COM_COMPONENTBUILDER_COMPONENT_FIRST</option>
						<option value="flag">
							COM_COMPONENTBUILDER_COMPONENT_FLAG</option>
						<option value="flag-3">
							COM_COMPONENTBUILDER_COMPONENT_FLAG_THREE</option>
						<option value="folder-3">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_THREE</option>
						<option value="folder-close">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_CLOSE</option>
						<option value="folder-minus">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_MINUS</option>
						<option value="folder-open">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_OPEN</option>
						<option value="folder-plus">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_PLUS</option>
						<option value="folder-plus-2">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_PLUS_TWO</option>
						<option value="folder-remove">
							COM_COMPONENTBUILDER_COMPONENT_FOLDER_REMOVE</option>
						<option value="forward-2">
							COM_COMPONENTBUILDER_COMPONENT_FORWARD_TWO</option>
						<option value="forward-circle">
							COM_COMPONENTBUILDER_COMPONENT_FORWARD_CIRCLE</option>
						<option value="grid">
							COM_COMPONENTBUILDER_COMPONENT_GRID</option>
						<option value="grid-2">
							COM_COMPONENTBUILDER_COMPONENT_GRID_TWO</option>
						<option value="health">
							COM_COMPONENTBUILDER_COMPONENT_HEALTH</option>
						<option value="heart">
							COM_COMPONENTBUILDER_COMPONENT_HEART</option>
						<option value="heart-2">
							COM_COMPONENTBUILDER_COMPONENT_HEART_TWO</option>
						<option value="home">
							COM_COMPONENTBUILDER_COMPONENT_HOME</option>
						<option value="home-2">
							COM_COMPONENTBUILDER_COMPONENT_HOME_TWO</option>
						<option value="info">
							COM_COMPONENTBUILDER_COMPONENT_INFO</option>
						<option value="info-circle">
							COM_COMPONENTBUILDER_COMPONENT_INFO_CIRCLE</option>
						<option value="key">
							COM_COMPONENTBUILDER_COMPONENT_KEY</option>
						<option value="lamp">
							COM_COMPONENTBUILDER_COMPONENT_LAMP</option>
						<option value="last">
							COM_COMPONENTBUILDER_COMPONENT_LAST</option>
						<option value="flash">
							COM_COMPONENTBUILDER_COMPONENT_FLASH</option>
						<option value="link">
							COM_COMPONENTBUILDER_COMPONENT_LINK</option>
						<option value="list">
							COM_COMPONENTBUILDER_COMPONENT_LIST</option>
						<option value="list-2">
							COM_COMPONENTBUILDER_COMPONENT_LIST_TWO</option>
						<option value="location">
							COM_COMPONENTBUILDER_COMPONENT_LOCATION</option>
						<option value="loop">
							COM_COMPONENTBUILDER_COMPONENT_LOOP</option>
						<option value="menu">
							COM_COMPONENTBUILDER_COMPONENT_MENU</option>
						<option value="menu-2">
							COM_COMPONENTBUILDER_COMPONENT_MENU_TWO</option>
						<option value="menu-3">
							COM_COMPONENTBUILDER_COMPONENT_MENU_THREE</option>
						<option value="minus">
							COM_COMPONENTBUILDER_COMPONENT_MINUS</option>
						<option value="minus-sign">
							COM_COMPONENTBUILDER_COMPONENT_MINUS_SIGN</option>
						<option value="mobile">
							COM_COMPONENTBUILDER_COMPONENT_MOBILE</option>
						<option value="move">
							COM_COMPONENTBUILDER_COMPONENT_MOVE</option>
						<option value="music">
							COM_COMPONENTBUILDER_COMPONENT_MUSIC</option>
						<option value="plus">
							COM_COMPONENTBUILDER_COMPONENT_PLUS</option>
						<option value="next">
							COM_COMPONENTBUILDER_COMPONENT_NEXT</option>
						<option value="notification">
							COM_COMPONENTBUILDER_COMPONENT_NOTIFICATION</option>
						<option value="notification-circle">
							COM_COMPONENTBUILDER_COMPONENT_NOTIFICATION_CIRCLE</option>
						<option value="cog">
							COM_COMPONENTBUILDER_COMPONENT_COG</option>
						<option value="new-tab">
							COM_COMPONENTBUILDER_COMPONENT_NEW_TAB</option>
						<option value="new-tab-2">
							COM_COMPONENTBUILDER_COMPONENT_NEW_TAB_TWO</option>
						<option value="palette">
							COM_COMPONENTBUILDER_COMPONENT_PALETTE</option>
						<option value="paragraph-center">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_CENTER</option>
						<option value="paragraph-justify">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_JUSTIFY</option>
						<option value="paragraph-left">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_LEFT</option>
						<option value="paragraph-right">
							COM_COMPONENTBUILDER_COMPONENT_PARAGRAPH_RIGHT</option>
						<option value="pause">
							COM_COMPONENTBUILDER_COMPONENT_PAUSE</option>
						<option value="pause-circle">
							COM_COMPONENTBUILDER_COMPONENT_PAUSE_CIRCLE</option>
						<option value="pencil-2">
							COM_COMPONENTBUILDER_COMPONENT_PENCIL_TWO</option>
						<option value="warning">
							COM_COMPONENTBUILDER_COMPONENT_WARNING</option>
						<option value="phone">
							COM_COMPONENTBUILDER_COMPONENT_PHONE</option>
						<option value="phone-2">
							COM_COMPONENTBUILDER_COMPONENT_PHONE_TWO</option>
						<option value="image">
							COM_COMPONENTBUILDER_COMPONENT_IMAGE</option>
						<option value="images">
							COM_COMPONENTBUILDER_COMPONENT_IMAGES</option>
						<option value="pie">
							COM_COMPONENTBUILDER_COMPONENT_PIE</option>
						<option value="pin">
							COM_COMPONENTBUILDER_COMPONENT_PIN</option>
						<option value="play">
							COM_COMPONENTBUILDER_COMPONENT_PLAY</option>
						<option value="youtube">
							COM_COMPONENTBUILDER_COMPONENT_YOUTUBE</option>
						<option value="play-circle">
							COM_COMPONENTBUILDER_COMPONENT_PLAY_CIRCLE</option>
						<option value="plus-circle">
							COM_COMPONENTBUILDER_COMPONENT_PLUS_CIRCLE</option>
						<option value="power-cord">
							COM_COMPONENTBUILDER_COMPONENT_POWER_CORD</option>
						<option value="previous">
							COM_COMPONENTBUILDER_COMPONENT_PREVIOUS</option>
						<option value="print">
							COM_COMPONENTBUILDER_COMPONENT_PRINT</option>
						<option value="publish">
							COM_COMPONENTBUILDER_COMPONENT_PUBLISH</option>
						<option value="purge">
							COM_COMPONENTBUILDER_COMPONENT_PURGE</option>
						<option value="puzzle">
							COM_COMPONENTBUILDER_COMPONENT_PUZZLE</option>
						<option value="question">
							COM_COMPONENTBUILDER_COMPONENT_QUESTION</option>
						<option value="question-2">
							COM_COMPONENTBUILDER_COMPONENT_QUESTION_TWO</option>
						<option value="quotes-left">
							COM_COMPONENTBUILDER_COMPONENT_QUOTES_LEFT</option>
						<option value="quotes-right">
							COM_COMPONENTBUILDER_COMPONENT_QUOTES_RIGHT</option>
						<option value="bubble-quote">
							COM_COMPONENTBUILDER_COMPONENT_BUBBLE_QUOTE</option>
						<option value="generic">
							COM_COMPONENTBUILDER_COMPONENT_GENERIC</option>
						<option value="radio-unchecked">
							COM_COMPONENTBUILDER_COMPONENT_RADIO_UNCHECKED</option>
						<option value="save-copy">
							COM_COMPONENTBUILDER_COMPONENT_SAVE_COPY</option>
						<option value="save-new">
							COM_COMPONENTBUILDER_COMPONENT_SAVE_NEW</option>
						<option value="scissors">
							COM_COMPONENTBUILDER_COMPONENT_SCISSORS</option>
						<option value="screen">
							COM_COMPONENTBUILDER_COMPONENT_SCREEN</option>
						<option value="screwdriver">
							COM_COMPONENTBUILDER_COMPONENT_SCREWDRIVER</option>
						<option value="search">
							COM_COMPONENTBUILDER_COMPONENT_SEARCH</option>
						<option value="share">
							COM_COMPONENTBUILDER_COMPONENT_SHARE</option>
						<option value="share-alt">
							COM_COMPONENTBUILDER_COMPONENT_SHARE_ALT</option>
						<option value="shield">
							COM_COMPONENTBUILDER_COMPONENT_SHIELD</option>
						<option value="shuffle">
							COM_COMPONENTBUILDER_COMPONENT_SHUFFLE</option>
						<option value="signup">
							COM_COMPONENTBUILDER_COMPONENT_SIGNUP</option>
						<option value="smiley">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY</option>
						<option value="smiley-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_TWO</option>
						<option value="smiley-neutral">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_NEUTRAL</option>
						<option value="smiley-neutral-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_NEUTRAL_TWO</option>
						<option value="smiley-sad">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_SAD</option>
						<option value="smiley-sad-2">
							COM_COMPONENTBUILDER_COMPONENT_SMILEY_SAD_TWO</option>
						<option value="square">
							COM_COMPONENTBUILDER_COMPONENT_SQUARE</option>
						<option value="stack">
							COM_COMPONENTBUILDER_COMPONENT_STACK</option>
						<option value="star-2">
							COM_COMPONENTBUILDER_COMPONENT_STAR_TWO</option>
						<option value="stop">
							COM_COMPONENTBUILDER_COMPONENT_STOP</option>
						<option value="stop-circle">
							COM_COMPONENTBUILDER_COMPONENT_STOP_CIRCLE</option>
						<option value="support">
							COM_COMPONENTBUILDER_COMPONENT_SUPPORT</option>
						<option value="switch">
							COM_COMPONENTBUILDER_COMPONENT_SWITCH</option>
						<option value="tablet">
							COM_COMPONENTBUILDER_COMPONENT_TABLET</option>
						<option value="tag">
							COM_COMPONENTBUILDER_COMPONENT_TAG</option>
						<option value="tag-2">
							COM_COMPONENTBUILDER_COMPONENT_TAG_TWO</option>
						<option value="tags">
							COM_COMPONENTBUILDER_COMPONENT_TAGS</option>
						<option value="tags-2">
							COM_COMPONENTBUILDER_COMPONENT_TAGS_TWO</option>
						<option value="thumbs-down">
							COM_COMPONENTBUILDER_COMPONENT_THUMBS_DOWN</option>
						<option value="thumbs-up">
							COM_COMPONENTBUILDER_COMPONENT_THUMBS_UP</option>
						<option value="tree">
							COM_COMPONENTBUILDER_COMPONENT_TREE</option>
						<option value="tree-2">
							COM_COMPONENTBUILDER_COMPONENT_TREE_TWO</option>
						<option value="unarchive">
							COM_COMPONENTBUILDER_COMPONENT_UNARCHIVE</option>
						<option value="unblock">
							COM_COMPONENTBUILDER_COMPONENT_UNBLOCK</option>
						<option value="undo">
							COM_COMPONENTBUILDER_COMPONENT_UNDO</option>
						<option value="undo-2">
							COM_COMPONENTBUILDER_COMPONENT_UNDO_TWO</option>
						<option value="unfeatured">
							COM_COMPONENTBUILDER_COMPONENT_UNFEATURED</option>
						<option value="unlock">
							COM_COMPONENTBUILDER_COMPONENT_UNLOCK</option>
						<option value="unpublish">
							COM_COMPONENTBUILDER_COMPONENT_UNPUBLISH</option>
						<option value="upload">
							COM_COMPONENTBUILDER_COMPONENT_UPLOAD</option>
						<option value="user">
							COM_COMPONENTBUILDER_COMPONENT_USER</option>
						<option value="users">
							COM_COMPONENTBUILDER_COMPONENT_USERS</option>
						<option value="vcard">
							COM_COMPONENTBUILDER_COMPONENT_VCARD</option>
						<option value="wand">
							COM_COMPONENTBUILDER_COMPONENT_WAND</option>
						<option value="warning-circle">
							COM_COMPONENTBUILDER_COMPONENT_WARNING_CIRCLE</option>
						<option value="wrench">
							COM_COMPONENTBUILDER_COMPONENT_WRENCH</option>
						<option value="zoom-in">
							COM_COMPONENTBUILDER_COMPONENT_ZOOM_IN</option>
						<option value="zoom-out">
							COM_COMPONENTBUILDER_COMPONENT_ZOOM_OUT</option>
					</field>
					<!-- Mainmenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="mainmenu"
						label="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Dashboard_list Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="dashboard_list"
						label="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Submenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="submenu"
						label="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Metadata Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="metadata"
						label="COM_COMPONENTBUILDER_COMPONENT_METADATA_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_METADATA_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Access Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="access"
						label="COM_COMPONENTBUILDER_COMPONENT_ACCESS_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ACCESS_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Adminviews Field. Type: Adminviews. (custom) -->
					<field
						type="adminviews"
						name="adminviews"
						label="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEWS_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEWS_DESCRIPTION"
						class="fieldMedium"
						multiple="true"
						required="false"
						button="false"
					/>
					<!-- Before Field. Type: Adminviews. (custom) -->
					<field
						type="adminviews"
						name="before"
						label="COM_COMPONENTBUILDER_COMPONENT_BEFORE_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_BEFORE_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Add_php_helper_admin Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_helper_admin"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_HELPER_ADMIN_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Addsite_views Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addsite_views"
			label="Site Views"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDSITE_VIEWS_DESCRIPTION"
			id="addsite_views"
			class="addsite_view"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDSITE_VIEWS_SELECT"
			icon="list"
			maximum="500">
			<fields name="addsite_views_fields" label="">
				<fieldset hidden="true" name="addsite_views_modal" repeat="true">
					<!-- Siteview Field. Type: Siteviews. (custom) -->
					<field
						type="siteviews"
						name="siteview"
						label="COM_COMPONENTBUILDER_COMPONENT_SITEVIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_SITEVIEW_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
					<!-- Menu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="menu"
						label="COM_COMPONENTBUILDER_COMPONENT_MENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_MENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Metadata Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="metadata"
						label="COM_COMPONENTBUILDER_COMPONENT_METADATA_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_METADATA_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Default_view Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="default_view"
						label="COM_COMPONENTBUILDER_COMPONENT_DEFAULT_VIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_DEFAULT_VIEW_DESCRIPTION"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Access Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="access"
						label="COM_COMPONENTBUILDER_COMPONENT_ACCESS_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ACCESS_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
				</fieldset>
			</fields>
		</field>
		<!-- Add_admin_event Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_admin_event"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_ADMIN_EVENT_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Spacer_hr_c Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr_c" hr="true" class="spacer_hr_c" />
		<!-- Add_php_helper_site Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_helper_site"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_HELPER_SITE_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Note_mysql_tweak_options Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_mysql_tweak_options" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_MYSQL_TWEAK_OPTIONS_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_MYSQL_TWEAK_OPTIONS_DESCRIPTION" heading="h4" class="alert alert-info note_mysql_tweak_options" close="false" />
		<!-- Add_site_event Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_site_event"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_SITE_EVENT_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Sql_tweak Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="sql_tweak"
			label="MySql (tweak)"
			description="COM_COMPONENTBUILDER_COMPONENT_SQL_TWEAK_DESCRIPTION"
			id="sql_tweaks"
			class="sql_tweak"
			select="COM_COMPONENTBUILDER_COMPONENT_SQL_TWEAK_SELECT"
			icon="list"
			maximum="500">
			<fields name="sql_tweak_fields" label="">
				<fieldset hidden="true" name="sql_tweak_modal" repeat="true">
					<!-- Adminview Field. Type: Adminviews. (custom) -->
					<field
						type="adminviews"
						name="adminview"
						label="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ADMINVIEW_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
					<!-- Add_sql Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="add_sql"
						label="COM_COMPONENTBUILDER_COMPONENT_ADD_SQL_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ADD_SQL_DESCRIPTION"
						default="0"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Add_sql_options Field. Type: List. (joomla) -->
					<field
						type="list"
						name="add_sql_options"
						label="COM_COMPONENTBUILDER_COMPONENT_ADD_SQL_OPTIONS_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_ADD_SQL_OPTIONS_DESCRIPTION"
						class="list_class"
						multiple="false"
						filter="INT"
						required="false">
						<!-- Option Set. -->
						<option value="">
							COM_COMPONENTBUILDER_COMPONENT_SELECT_AN_OPTION</option>
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_ALL</option>
						<option value="2">
							COM_COMPONENTBUILDER_COMPONENT_ID_BASED</option>
					</field>
					<!-- Ids Field. Type: Textarea. (joomla) -->
					<field
						type="textarea"
						name="ids"
						label="COM_COMPONENTBUILDER_COMPONENT_IDS_LABEL"
						rows="20"
						cols="10"
						description="COM_COMPONENTBUILDER_COMPONENT_IDS_DESCRIPTION"
						class="text_area span6"
						filter="raw"
						hint="COM_COMPONENTBUILDER_COMPONENT_IDS_HINT"
						required="false"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Add_sql Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_sql"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_SQL_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Spacer_hr_d Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr_d" hr="true" class="spacer_hr_d" />
		<!-- Add_php_dashboard_methods Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="add_php_dashboard_methods"
			label="COM_COMPONENTBUILDER_COMPONENT_ADD_PHP_DASHBOARD_METHODS_LABEL"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Note_add_custom_menus Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_add_custom_menus" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_CUSTOM_MENUS_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_CUSTOM_MENUS_DESCRIPTION" heading="h4" class="alert alert-info note_add_custom_menus" close="false" />
		<!-- Dashboard_tab Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="dashboard_tab"
			label="Dashboard Tabs"
			id="dashboard_tab"
			class="dashboard_tabs"
			select="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_TAB_SELECT"
			icon="list"
			maximum="5"
			filter="raw">
			<fields name="dashboard_tab_fields" label="">
				<fieldset hidden="true" name="dashboard_tab_modal" repeat="true">
					<!-- Name Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="name"
						label="COM_COMPONENTBUILDER_COMPONENT_NAME_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_NAME_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add name here."
						hint="COM_COMPONENTBUILDER_COMPONENT_NAME_HINT"
					/>
					<!-- Header Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="header"
						label="COM_COMPONENTBUILDER_COMPONENT_HEADER_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_HEADER_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add header here."
						hint="COM_COMPONENTBUILDER_COMPONENT_HEADER_HINT"
					/>
					<!-- Html Field. Type: Textarea. (joomla) -->
					<field
						type="textarea"
						name="html"
						label="COM_COMPONENTBUILDER_COMPONENT_HTML_LABEL"
						rows="20"
						cols="15"
						class="text_area span6"
						filter="raw"
						hint="COM_COMPONENTBUILDER_COMPONENT_HTML_HINT"
						required="false"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Addcustommenus Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addcustommenus"
			label="Custom Admin Menus"
			id="addcustommenus"
			class="addcustommenu"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDCUSTOMMENUS_SELECT"
			icon="list"
			maximum="50">
			<fields name="addcustommenus_fields" label="">
				<fieldset hidden="true" name="addcustommenus_modal" repeat="true">
					<!-- Name Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="name"
						label="COM_COMPONENTBUILDER_COMPONENT_NAME_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_NAME_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add name here."
						hint="COM_COMPONENTBUILDER_COMPONENT_NAME_HINT"
					/>
					<!-- Name_code Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="name_code"
						label="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_LABEL"
						size="40"
						maxlength="50"
						description="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_DESCRIPTION"
						class="text_area"
						required="false"
						filter="CMD"
						message="Error! Please add name in code here."
						hint="COM_COMPONENTBUILDER_COMPONENT_NAME_CODE_HINT"
					/>
					<!-- Link Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="link"
						label="COM_COMPONENTBUILDER_COMPONENT_LINK_LABEL"
						size="50"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_LINK_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add menu link."
						hint="COM_COMPONENTBUILDER_COMPONENT_LINK_HINT"
					/>
					<!-- Icon Field. Type: Filelist. (joomla) -->
					<field
						type="filelist"
						name="icon"
						label="COM_COMPONENTBUILDER_COMPONENT_ICON_LABEL"
						directory="images"
						description="COM_COMPONENTBUILDER_COMPONENT_ICON_DESCRIPTION"
						hide_default="true"
					/>
					<!-- Mainmenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="mainmenu"
						label="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_MAINMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Dashboard_list Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="dashboard_list"
						label="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_DASHBOARD_LIST_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Submenu Field. Type: Radio. (joomla) -->
					<field
						type="radio"
						name="submenu"
						label="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_SUBMENU_DESCRIPTION"
						default="1"
						required="false">
						<!-- Option Set. -->
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_YES</option>
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NO</option>
					</field>
					<!-- Before Field. Type: Adminviews. (custom) -->
					<field
						type="adminviews"
						name="before"
						label="COM_COMPONENTBUILDER_COMPONENT_BEFORE_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_BEFORE_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Php_preflight_install Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_preflight_install"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_INSTALL_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_INSTALL_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_INSTALL_HINT"
			required="true"
		/>
		<!-- Spacer_hr_e Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr_e" hr="true" class="spacer_hr_e" />
		<!-- Php_preflight_update Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_preflight_update"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_UPDATE_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_UPDATE_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_PREFLIGHT_UPDATE_HINT"
			required="true"
		/>
		<!-- Note_add_config Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_add_config" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_CONFIG_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ADD_CONFIG_DESCRIPTION" heading="h4" class="alert alert-info note_add_config" close="false" />
		<!-- Php_postflight_install Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_postflight_install"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_INSTALL_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_INSTALL_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_INSTALL_HINT"
			required="true"
		/>
		<!-- Addconfig Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addconfig"
			label="Config"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDCONFIG_DESCRIPTION"
			id="addconfigs"
			class="addconfig"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDCONFIG_SELECT"
			icon="list"
			maximum="500">
			<fields name="addconfig_fields" label="">
				<fieldset hidden="true" name="addconfig_modal" repeat="true">
					<!-- Field Field. Type: Fields. (custom) -->
					<field
						type="fields"
						name="field"
						label="COM_COMPONENTBUILDER_COMPONENT_FIELD_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_FIELD_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						button="false"
					/>
					<!-- Custom_value Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="custom_value"
						label="COM_COMPONENTBUILDER_COMPONENT_CUSTOM_VALUE_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_CUSTOM_VALUE_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						hint="COM_COMPONENTBUILDER_COMPONENT_CUSTOM_VALUE_HINT"
					/>
					<!-- Tabname Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="tabname"
						label="COM_COMPONENTBUILDER_COMPONENT_TABNAME_LABEL"
						size="40"
						maxlength="150"
						default="Global"
						description="COM_COMPONENTBUILDER_COMPONENT_TABNAME_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add tab name here."
						hint="COM_COMPONENTBUILDER_COMPONENT_TABNAME_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Php_postflight_update Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_postflight_update"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_UPDATE_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_UPDATE_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_POSTFLIGHT_UPDATE_HINT"
			required="true"
		/>
		<!-- Note_on_contributors Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_on_contributors" label="COM_COMPONENTBUILDER_COMPONENT_NOTE_ON_CONTRIBUTORS_LABEL" description="COM_COMPONENTBUILDER_COMPONENT_NOTE_ON_CONTRIBUTORS_DESCRIPTION" heading="h4" class="alert alert-info note_on_contributors" close="false" />
		<!-- Php_method_uninstall Field. Type: Textarea. (joomla) -->
		<field
			type="textarea"
			name="php_method_uninstall"
			label="COM_COMPONENTBUILDER_COMPONENT_PHP_METHOD_UNINSTALL_LABEL"
			rows="17"
			cols="5"
			description="COM_COMPONENTBUILDER_COMPONENT_PHP_METHOD_UNINSTALL_DESCRIPTION"
			class="text_area span12"
			filter="raw"
			hint="COM_COMPONENTBUILDER_COMPONENT_PHP_METHOD_UNINSTALL_HINT"
			required="true"
		/>
		<!-- Addcontributors Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="addcontributors"
			label="Contributors"
			description="COM_COMPONENTBUILDER_COMPONENT_ADDCONTRIBUTORS_DESCRIPTION"
			id="addcontributors"
			class="addcontributor"
			select="COM_COMPONENTBUILDER_COMPONENT_ADDCONTRIBUTORS_SELECT"
			icon="list"
			maximum="500">
			<fields name="addcontributors_fields" label="">
				<fieldset hidden="true" name="addcontributors_modal" repeat="true">
					<!-- Name Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="name"
						label="COM_COMPONENTBUILDER_COMPONENT_NAME_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_NAME_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add name here."
						hint="COM_COMPONENTBUILDER_COMPONENT_NAME_HINT"
					/>
					<!-- Title Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="title"
						label="COM_COMPONENTBUILDER_COMPONENT_TITLE_LABEL"
						size="40"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_TITLE_DESCRIPTION"
						class="text_area"
						readonly="false"
						disabled="false"
						required="false"
						filter="STRING"
						message="Error! Please add some text here."
						hint="COM_COMPONENTBUILDER_COMPONENT_TITLE_HINT"
					/>
					<!-- Email Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="email"
						label="COM_COMPONENTBUILDER_COMPONENT_EMAIL_LABEL"
						size="10"
						maxlength="50"
						description="COM_COMPONENTBUILDER_COMPONENT_EMAIL_DESCRIPTION"
						class="text_area"
						required="false"
						filter="STRING"
						validate="email"
						message="Error! Please add email address here."
						hint="COM_COMPONENTBUILDER_COMPONENT_EMAIL_HINT"
					/>
					<!-- Website Field. Type: Url. (joomla) -->
					<field
						type="url"
						name="website"
						label="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_LABEL"
						size="60"
						maxlength="150"
						description="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_DESCRIPTION"
						class="text_area"
						required="false"
						filter="url"
						validated="url"
						message="Error! Please add website here."
						hint="COM_COMPONENTBUILDER_COMPONENT_WEBSITE_HINT"
					/>
					<!-- Use Field. Type: List. (joomla) -->
					<field
						type="list"
						name="use"
						label="COM_COMPONENTBUILDER_COMPONENT_USE_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_USE_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						default="2">
						<!-- Option Set. -->
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NONE</option>
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_EMAIL</option>
						<option value="2">
							COM_COMPONENTBUILDER_COMPONENT_WEBSITE</option>
					</field>
					<!-- Show Field. Type: List. (joomla) -->
					<field
						type="list"
						name="show"
						label="COM_COMPONENTBUILDER_COMPONENT_SHOW_LABEL"
						description="COM_COMPONENTBUILDER_COMPONENT_SHOW_DESCRIPTION"
						class="fieldMedium"
						multiple="false"
						required="false"
						default="3">
						<!-- Option Set. -->
						<option value="0">
							COM_COMPONENTBUILDER_COMPONENT_NONE</option>
						<option value="1">
							COM_COMPONENTBUILDER_COMPONENT_BACK</option>
						<option value="2">
							COM_COMPONENTBUILDER_COMPONENT_FRONT</option>
						<option value="3">
							COM_COMPONENTBUILDER_COMPONENT_BOTH</option>
					</field>
				</fieldset>
			</fields>
		</field>
		<!-- Readme Field. Type: Editor. (joomla) -->
		<field
			type="editor"
			name="readme"
			label="COM_COMPONENTBUILDER_COMPONENT_README_LABEL"
			default="You can use all the normal markdown, including the place-holders."
			width="100%"
			height="1200px"
			buttons="false"
			editor="none"
			filter="raw"
			required="true"
		/>
		<!-- Emptycontributors Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="emptycontributors"
			label="COM_COMPONENTBUILDER_COMPONENT_EMPTYCONTRIBUTORS_LABEL"
			description="COM_COMPONENTBUILDER_COMPONENT_EMPTYCONTRIBUTORS_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="0">
			<!-- Option Set. -->
			<option value="1">
				COM_COMPONENTBUILDER_COMPONENT_YES</option>
			<option value="0">
				COM_COMPONENTBUILDER_COMPONENT_NO</option>
		</field>
		<!-- Not_required Field. Type: Hidden. (joomla) -->
		<field
			type="hidden"
			name="not_required"
			default="[]"
		/>
		<!-- Number Field. Type: Number. (joomla) -->
		<field
			type="number"
			name="number"
			label="COM_COMPONENTBUILDER_COMPONENT_NUMBER_LABEL"
			default="4"
			class="text_area"
			min="1"
			max="40"
			step="1"
		/>
		<!-- Sales_server_ftp Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="sales_server_ftp"
			label="COM_COMPONENTBUILDER_COMPONENT_SALES_SERVER_FTP_LABEL"
			size="150"
			maxlength="150"
			default="host=HOSTNAME&amp;port=PORT_INT&amp;options[type]=FTP_BINARY&amp;options[timeout]=15&amp;username=user@name.com&amp;password=password"
			description="COM_COMPONENTBUILDER_COMPONENT_SALES_SERVER_FTP_DESCRIPTION"
			class="text_area span12"
			filter="STRING"
			message="Error! Please add some text here."
			hint="COM_COMPONENTBUILDER_COMPONENT_SALES_SERVER_FTP_HINT"
		/>
	</fieldset>
	
	
</form>